Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.soap.axis
Class AxisSOAPConnectorSoapBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.jboss.remoting.transport.soap.axis.AxisSOAPConnectorSoapBindingStub

All Implemented Interfaces:
  AxisSOAPConnector, Remote, javax.xml.rpc.Stub

public class AxisSOAPConnectorSoapBindingStub
extends org.apache.axis.client.Stub
implements AxisSOAPConnector

SOAP stub

Author:
  Tom Elrod, Jeff Haynie

Field Summary

Fields inherited from class org.apache.axis.client.Stub
`cachedEndpoint, cachedPassword, cachedPortName, cachedProperties, cachedTimeout, cachedUsername, maintainSession, maintainSessionSet, service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`AxisSOAPConnectorSoapBindingStub()`
`AxisSOAPConnectorSoapBindingStub(javax.xml.rpc.Service service)`
`AxisSOAPConnectorSoapBindingStub(URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`void` | `initialize(String in0)`
`byte[]` | `transport(byte[] in0)`

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, firstCall, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeaders, getTimeout, getUsername, removeProperty, setAttachments, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setRequestHeaders, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisSOAPConnectorSoapBindingStub

    public AxisSOAPConnectorSoapBindingStub()
                                     throws org.apache.axis.AxisFault

### AxisSOAPConnectorSoapBindingStub

    public AxisSOAPConnectorSoapBindingStub(URL endpointURL,
                                            javax.xml.rpc.Service service)
                                     throws org.apache.axis.AxisFault

### AxisSOAPConnectorSoapBindingStub

    public AxisSOAPConnectorSoapBindingStub(javax.xml.rpc.Service service)
                                     throws org.apache.axis.AxisFault

Method Detail

### transport

    public byte[] transport(byte[] in0)
                     throws IOException,
                            RemoteException

  Specified by:
    `transport` in interface `AxisSOAPConnector`
  Throws:
    `IOException`
    `RemoteException`

### initialize

    public void initialize(String in0)
                    throws RemoteException

  Specified by:
    `initialize` in interface `AxisSOAPConnector`
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.